OpenNMS API 1.2.9

## org.opennms.web.asset
Class ModifyAssetServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.asset.ModifyAssetServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ModifyAssetServlet
extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Field Summary
`protected AssetModel` `model`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`ModifyAssetServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init()`
`protected Asset` `parms2Asset(javax.servlet.http.HttpServletRequest request, int nodeId)`
`private void` `sendEvent(Event event)`
`java.lang.String` `stripBadCharacters(java.lang.String s)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected AssetModel model

Constructor Detail

### ModifyAssetServlet

    public ModifyAssetServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### parms2Asset

    protected Asset parms2Asset(javax.servlet.http.HttpServletRequest request,
                                int nodeId)

### stripBadCharacters

    public java.lang.String stripBadCharacters(java.lang.String s)

### sendEvent

    private void sendEvent(Event event)
                    throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.